# Note that this is NOT a relocatable package
%define name	smpeg
%define summary SDL MPEG Library
%define version	0.3.5
%define release	2mdk
%define exec %{_prefix}/bin/gtv
%define section Multimedia/Video

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Icon: video_32x32.xpm
Copyright: LGPL
Source: %{name}-%{version}.tar.bz2
Source1: gtv_16x16.xpm
Source2: gtv_32x32.xpm
Source3: gtv_48x48.xpm
Group: Video
URL: http://www.lokigames.com/development/smpeg.php3
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildPreReq: gtk+-devel, SDL-devel >= 1.0.8
Requires: SDL >= 1.0.8

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

%package devel
Summary: Libraries, includes and more to develop SMPEG applications.
Group: Development/Other
#Requires: %{name}-%{version} ??
Requires: %{name}

%description devel
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

This is the libraries, include files and other resources you can use
to develop SMPEG applications.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix} --disable-opengl-player
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --disable-opengl-player
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{_prefix} install

# icons
install -D  %{SOURCE1}  \
	$RPM_BUILD_ROOT/usr/share/icons/mini/gtv.xpm 
install -D %{SOURCE2}   \
	$RPM_BUILD_ROOT/usr/share/icons/gtv.xpm 
install -D %{SOURCE3}   \
	$RPM_BUILD_ROOT/usr/share/icons/large/gtv.xpm 

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/gtv <<EOF
?package(%{name}):\\
	command="%{exec}"\\
	needs="X11"\\
	icon="/usr/share/icons/gtv.xpm"\\
	section="%{section}"\\
	title="gtv"\\
	longtitle="gtv: MPEG player"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
## add menu entry 
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
%postun
/sbin/ldconfig
## remove menu entry 
[ "$1" = 0 ] && [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_prefix}/lib/lib*.so.*
%{_prefix}/bin/plaympeg
%{_prefix}/bin/gtv
%{_prefix}/man/*
%{_prefix}/lib/menu/gtv
%{_prefix}/share/icons/gtv.xpm
%{_prefix}/share/icons/mini/gtv.xpm
%{_prefix}/share/icons/large/gtv.xpm

%files devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_prefix}/bin/smpeg-config
%{_prefix}/include/*
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.so

%changelog
* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-2mdk
- fixed "Requires"

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-1mdk
- new version
- merged with loki's original rpm (add devel rpm!) 
- menu entry and icon (by Hlne Durosini) for gtv,  

* Tue Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adations.
- added BuildPreReq.
- updated to version 0.3.3.

* Wed Jan 19 2000 Sam Lantinga <hercules@lokigames.com>
- initial release.
